%define ver 0.7
%define release 3mdk
%define fname crat
%define oname cRat
%define dname %{fname}-%{ver}-Python2.2

Name: python-%oname
Version: %{ver}
Release: %{release}
Source: %{dname}.tar.bz2
Summary: Fast Python module for rational numbers
License: BSD-like
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-buildroot
Url: http://id3-py.sourceforge.net
BuildRequires: libpython-devel >= %{pyversion}

%description
This is an efficient Python module for rational numbers. In particular,
it uses an improved gcd algorithm (encoded in C), which dramatically
increases speeds for large rationals.

%prep
%setup -q -n %{dname}
chmod 644 README* PKG*

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root $RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%_libdir/python%{pyver}/site-packages/testcases.*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README README.MATH PKG-INFO
%{_libdir}/python%{pyver}/site-packages/crat.*

%changelog
* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.7-3mdk
- Rebuild for new python

* Tue Aug 12 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.7-2mdk
- rebuild for new python

* Wed Jul 9 2003 Austin Acton <aacton@yorku.ca> 0.7-1mdk
- from andi payn <payn@myrealbox.com> :
  - Initial specfile
